Bug 438600 - cairomm-1.4.4 incompatible with cairo-1.5.14
cairomm-1.4.4 incompatible with cairo-1.5.14
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: cairomm (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rick L Vinyard Jr
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-22 13:13 EDT by Mamoru TASAKA
Modified: 2008-03-23 03:47 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-22 19:55:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mamoru TASAKA 2008-03-22 13:13:18 EDT
Description of problem:
http://koji.fedoraproject.org/koji/taskinfo?taskID=526203
http://koji.fedoraproject.org/koji/getfile?taskID=526211&name=build.log

shows some fixes are needed for 
/usr/include/cairomm-1.0/cairomm/enums.h

Version-Release number of selected component (if applicable):
cairomm-1.4.4-2.fc9
cairo-1.5.14-1.fc9


How reproducible:
100%

Steps to Reproduce:
1. See above
2.
3.
  
Additional info:
- The following seems okay
---------------------------------------------------------------------
--- cairomm/enums.h.debug       2007-06-01 05:45:39.000000000 +0900
+++ cairomm/enums.h     2008-03-23 02:02:49.000000000 +0900
@@ -192,7 +192,7 @@
     FONT_TYPE_TOY = CAIRO_FONT_TYPE_TOY,
     FONT_TYPE_FT = CAIRO_FONT_TYPE_FT,
     FONT_TYPE_WIN32 = CAIRO_FONT_TYPE_WIN32,
-    FONT_TYPE_ATSUI = CAIRO_FONT_TYPE_ATSUI
+    FONT_TYPE_ATSUI = CAIRO_FONT_TYPE_QUARTZ
 } FontType;
 
 } // namespace Cairo
---------------------------------------------------------------------
- Released tarball cairomm 1.5.0  also has this issue.
Comment 1 Denis Leroy 2008-03-22 19:55:28 EDT
Fixed in

http://koji.fedoraproject.org/koji/buildinfo?buildID=43557
Comment 2 Mamoru TASAKA 2008-03-23 03:47:29 EDT
Thanks!

Note You need to log in before you can comment on or make changes to this bug.